Returns all seats in the hall by hall ID
curl --request GET \
--url https://tandem.hlofiys.xyz/api/halls/{hall_id}/seatsimport requests
url = "https://tandem.hlofiys.xyz/api/halls/{hall_id}/seats"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tandem.hlofiys.xyz/api/halls/{hall_id}/seats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"seat_id": 123,
"row_label": "12",
"seat_label": "7",
"x_coordinate": 0,
"y_coordinate": 0,
"seat_type_id": 123,
"hall_id": 123
}
]{
"message": "<string>"
}Seats
Returns all seats in the hall by hall ID
Retrieves a list of all seats for a specific hall, including their labels, coordinates, and type information. This endpoint is essential for rendering a static seating chart. This is a public endpoint and does not require authentication.
GET
/
api
/
halls
/
{hall_id}
/
seats
Returns all seats in the hall by hall ID
Path Parameters
Response
Successful response. Returns an array of all existing seats in hall
Unique seat ID
Row label (e.g. '1', 'A', 'Parterre')
Example:
"12"
Place label in a row (for example, '5', '10', 'VIP 1')
Example:
"7"
X coordinate to display on the diagram
Y coordinate to display on the diagram
Unique seat type ID
Unique hall ID